dpkg-trigger(1)

NOM
dpkg-trigger - Un utilitaire pour activer les actions différées de paquets

SYNOPSIS
dpkg-trigger [option...] nom-action-différée

dpkg-trigger [option...] commande

DESCRIPTION
dpkg-trigger est un outil pour activer explicitement les actions différées et pour vérifier leur gestion dans le fonctionnement de dpkg.

Utilisable par les scripts du responsable dans certaines situations complexes où un fichier d'actions différées (« triggers ») ou la directive activate du fichier de contrôle des actions différées ne sont pas suffisants. Peut également être utilisé pour des essais ou par les administrateurs système (noter que les actions différées ne seront alors pas exécutées par dpkg-trigger).

Les syntaxes non reconnues pour le nom des actions différées constituent une erreur pour dpkg-trigger.

COMMANDES

--check-supported
    Vérifie si dpkg sait gérer les actions différées (généralement appelées depuis un script de post-installation). Retourne en sortie 0 si c'est le cas, ou 1 avec un message d'erreur sur stderr si ce n'est pas le cas. Toutefois, en règle générale, il est préférable de simplement activer l'action différée désirée à l'aide de dpkg-trigger.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=répertoire
    Change the location of the dpkg database. Defaults to /var/lib/dpkg if DPKG_ADMINDIR has not been set.

--root=directory
    Set the root directory to directory, which sets the administrative directory to «directory/var/lib/dpkg» (since dpkg 1.21.0).

--by-package=paquet
    Indique le paquet qui sera marqué en attente de l'exécution de l'action différée (normalement défini par la variable d'environnement DPKG_MAINTSCRIPT_PACKAGE dans les scripts du responsable, qui nomme le paquet auquel le script appartient, et qui constitue la valeur par défaut).

--no-await
    This option arranges that the calling package T (if any) need not await the processing of this trigger; the interested package(s) I, will not be added to T's trigger processing awaited list and T's status is unchanged. T may be considered installed even though I may not yet have processed the trigger.

--await
    Cette option a l'effet inverse de --no-await (depuis dpkg 1.17.21). Si le paquet intéressé a déclaré une directive «noawait », cette option ne sera pas effective. C'est actuellement le comportement par défaut.

--no-act
    Teste uniquement, n'apporte aucun changement.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée. Ou bien une commande de vérification ou de déclaration renvoie « true ».

1   Une commande de vérification ou de déclaration renvoie « false ».

2   Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande non valable, ou interactions avec le système, telles que des accès à la base de données, des allocations de mémoire, etc.

ENVIRONNEMENT

DPKG_ROOT
    If set and the --root option has not been specified, it will be used as the filesystem root directory (since dpkg 1.21.0).

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

DPKG_DEBUG
    Sets the debug mask (since dpkg 1.21.10) from an octal value. The currently accepted flags are described in the dpkg --debug option, but not all these flags might have an effect on this program.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

VOIR AUSSI
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-1.21.15-r3/spec/triggers.txt.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.